Subject: Re: [PATCH] Remove bogus errors from check_chosen.

From: David Gibson <[email-masked]>
Date: Sat, 24 Mar 2007 10:42:47 +1100

On Fri, Mar 23, 2007 at 11:48:30AM -0400, Jerry Van Baren wrote:
> Scott Wood wrote:
> > On Fri, Mar 23, 2007 at 11:21:27AM -0400, Jerry Van Baren wrote:
> >> The -q[q[q]] I added cuts down/eliminates the moaning, but you still 
> >> have to -f force the output which doesn't match what Scott is advocating 
> >> if I understand him.
> >>
> >> The gcc -Wall is backwards to what we should have, perhaps adding --no* 
> >> options like:
> >>   --nochosen
> >>   --nocpu
> >>   --noarmyboots
> >> to tell dtc that lonely barefoot blobs are OK.
> > 
> > There should also be a --no-validate option to turn everything off, if
> > the user is confident that the tree is right and doesn't want to get
> > broken by new dtcs that have new error categories (or if the user is
> > using dtc to compile some other type of tree than an OF-ish device tree).
> > 
> > In other words, there should be a clear separation between the structural
> > layer and the semantic layer, even if the same binary can do both.
> > 
> > -Scott
> 
> Unless I'm missing an error scenario (entirely possible), --no-validate 
> is nothing more than
>    -f -qqq
> which forces the output and quiets the moaning.  Just not as pretty...
> 
> I would still advocate being able to disable individual warning/errors. 
> For instance, for u-boot, the chosen (and other) nodes are generated by 
> u-boot so it is OK to not have them in the source.  If something new 
> comes along that _is_ needed, and I would feel better if only the chosen 
> node warning was suppressed and dtc _would_ complain about the new 
> missing node.

Absolutely, this is what I want.  It requires a non-trivial amount of
extra infrastructure to implement though, which is why I haven't
gotten to it.  Because some tests rely on earlier tests to work at all
(i.e. to not SEGV), if we don't bomb out on the first error, we need
to actually keep track of which tests have passed and which tests rely
on which earlier tests.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson